---
title: "Start editing"
description: "null"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/edit-order-combination-interface/start-editing'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/edit-order-combination-interface/start-editing.md'
---
# Start editing

null

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /orders/:id/order_edit_begin.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_orders`

## Request

### Path Parameters

* `id`

  string (required)

  Order id

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `calculated_order`

  object

  Draft information for editing orders to begin action return

  * `committed`

    boolean

    Have submitted save to order or not

  * `id`

    string

    Order editing draft order id , used for the entry of follow-up order editing related interfaces ( edit the number of Product settings , increase ordinary products , increase custom Product , increase Product discount , and remove product lines discount )

* `user_errors`

  array<object>

  Edit the error prompt information of the order , if the interface is performed wrong , the error code of the implementation result will be return on this field

  * `message`

    string

    Error message

  * `code`

    string

    Wrong code , the specific implementation result code is revealed in this field

  * `field`

    array<string>

    Path that causes incorrect input fields


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "null",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "H1IvSCFW",
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "description": "Order id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "id",
        "description": "Order id",
        "type": "string",
        "example": "21060502039313593543444149"
      },
      "example": "21060502039313593543444149"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "calculated_order": {
                "name": "calculated_order",
                "description": "Draft information for editing orders to begin action return",
                "type": "object",
                "properties": {
                  "committed": {
                    "name": "committed",
                    "description": "Have submitted save to order or not",
                    "type": "boolean",
                    "example": false
                  },
                  "id": {
                    "name": "id",
                    "description": "Order editing draft order id , used for the entry of follow-up order editing related interfaces ( edit the number of Product settings , increase ordinary products , increase custom Product , increase Product discount , and remove product lines discount )",
                    "type": "string",
                    "example": "2106050203931359354344414929098923"
                  }
                },
                "example": {
                  "committed": false,
                  "id": "2106050203931359354344414929098923"
                }
              },
              "user_errors": {
                "name": "user_errors",
                "description": "Edit the error prompt information of the order , if the interface is performed wrong , the error code of the implementation result will be return on this field",
                "type": "array",
                "items": {
                  "name": "user_errors",
                  "description": "Edit the error prompt information of the order , if the interface is performed wrong , the error code of the implementation result will be return on this field",
                  "type": "object",
                  "properties": {
                    "message": {
                      "name": "message",
                      "description": "Error message",
                      "type": "string",
                      "example": "The parameters are wrong"
                    },
                    "code": {
                      "name": "code",
                      "description": "Wrong code , the specific implementation result code is revealed in this field",
                      "type": "string",
                      "example": "PARAM_ILLEGAL"
                    },
                    "field": {
                      "name": "field",
                      "description": "Path that causes incorrect input fields",
                      "type": "array",
                      "items": {
                        "name": "field",
                        "description": "Path that causes incorrect input fields",
                        "type": "string",
                        "example": ""
                      },
                      "example": [
                        ""
                      ]
                    }
                  },
                  "example": {
                    "message": "The parameters are wrong",
                    "code": "PARAM_ILLEGAL",
                    "field": [
                      ""
                    ]
                  }
                },
                "example": [
                  {
                    "message": "The parameters are wrong",
                    "code": "PARAM_ILLEGAL",
                    "field": [
                      ""
                    ]
                  }
                ]
              }
            },
            "example": {
              "user_errors": [
                {
                  "code": "PARAM_ILLEGAL",
                  "field": [
                    ""
                  ],
                  "message": "The parameters are wrong"
                }
              ],
              "calculated_order": {
                "committed": false,
                "id": "2106050203931359354344414929098923"
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/orders/:id/order_edit_begin.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Start editing",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_orders"
  ]
}
```